> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get an applicant by ID

GET https://api.propexo.com/v1/applicants/{id}

Get an applicant by ID

Reference: https://docs.propexo.com/api-reference/mri/applicants/get-an-applicant-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `id` (string, required) — The ID of the resource.

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (Applicant, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### Applicant

- `id` (string, required) — The Propexo unique identifier for the applicant
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `x_property_id` (string, required) — The external ID of the property from the integration vendor | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `x_lead_id` (string, required, nullable) — The external ID of the lead from the integration vendor | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `x_unit_id_preferred` (list of string, required) — The external IDs of the units from the integration vendor that the applicant is interested in | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `address_1_alternate` (string, required, nullable) — The first alternate address line associated with the applicant | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `address_1` (string, required, nullable) — The first address line associated with the applicant | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `address_2_alternate` (string, required, nullable) — The second alternate address line associated with the applicant | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `address_2` (string, required, nullable) — The second address line associated with the applicant | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `applications` (list of ApplicantApplicationsItems, required) — Applications that the applicant has submittedThis field is not currently hydrated for MRI
- `city_alternate` (string, required, nullable) — The alternate city associated with the applicant | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `city` (string, required, nullable) — The city associated with the applicant | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `country_alternate` (any, required) — The alternate country associated with the applicantThis field will always be null for MRI
- `country` (any, required) — The country associated with the applicantThis field will always be null for MRI
- `custom_data` (ApplicantCustomData, required, nullable)
- `date_of_birth` (string, required, nullable) — The date of birth associated with the applicant | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `email_1` (string, required, nullable) — The primary email address associated with the applicant | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `email_2` (any, required) — The secondary email address associated with the applicantThis field will always be null for MRI
- `first_name` (string, required, nullable) — The first name associated with the applicant | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `last_name` (string, required, nullable) — The last name associated with the applicant | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `middle_name` (string, required, nullable) — The middle name associated with the applicantMRI only gives the middle initial. | Method | | -------------------------------------------------------------------------- | | /mriapiservices/api.asp?\$api=MRI\_S-PMRM\_ProspectsApplicantsAndResidents |
- `notes` (string, required, nullable) — Notes associated with the applicant | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `phone_1_type` (enum, required) — Type of the primary phone number | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `phone_1` (string, required, nullable) — Primary phone number associated with the applicantMRI offers mobile, home, work, and fax numbers. Propexo stores these in that priority order. If you need more fields for the other numbers, contact Propexo support. | Method | | -------------------------------------------------------------------------- | | /mriapiservices/api.asp?\$api=MRI\_S-PMRM\_ProspectsApplicantsAndResidents |
- `phone_2_type` (enum, required) — Type of the secondary phone number | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `phone_2` (string, required, nullable) — Secondary phone number associated with the applicantMRI offers mobile, home, work, and fax numbers. Propexo stores these in that priority order. If you need more fields for the other numbers, contact Propexo support. | Method | | -------------------------------------------------------------------------- | | /mriapiservices/api.asp?\$api=MRI\_S-PMRM\_ProspectsApplicantsAndResidents |
- `state_alternate` (string, required, nullable) — The alternate state associated with the applicant | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `state` (string, required, nullable) — The state associated with the applicant | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `type_normalized` (any, required) — The normalized type associated with the applicantThis field will always be null for MRI
- `type_raw` (any, required) — The raw type associated with the applicantThis field will always be null for MRI
- `zip_alternate` (string, required, nullable) — The alternate zip code associated with the applicant | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `zip` (string, required, nullable) — The zip code associated with the applicant | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `pets` (list of ApplicantPetsItems, required)
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `MRI`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `property_id` (string, required) — The Propexo unique identifier for the property
- `unit_id_preferred` (any, required) — The Propexo unique identifiers for the units that the applicant is interested inThis field will always be null for MRI
- `screenings` (list of ApplicantScreeningsItems, required) — This field is not currently hydrated for MRI
- `x_unit_id` (any, required, deprecated) — DEPRECATED: Use x\_unit\_id\_preferred insteadThis field will always be null for MRI
- `x_lease_id` (any, required, deprecated) — DEPRECATED: Not in use.This field will always be null for MRI
- `self_reported_income` (list of IncomeSource, optional) — Self reported income sources for the applicantThis field is not currently hydrated for MRI

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### ApplicantApplicationsItems

- `applicant_id` (string, required) — This field is not currently hydrated for MRI
- `application_id` (string, required) — This field is not currently hydrated for MRI
- `status_raw` (string, optional, nullable) — The raw status associated with the applicantThis field is not currently hydrated for MRI
- `status_normalized` (ApplicantApplicationsItemsStatusNormalized, optional, nullable) — The normalized status associated with the applicant. Confirm these derived values before using them in production.This field is not currently hydrated for MRI
- `custom_data` (ApplicantApplicationsItemsCustomData, optional, nullable)
- `status` (string, optional, nullable, deprecated) — DEPRECATED. Use status_raw or status_normalized

### ApplicantCustomData

### ApplicantPetsItems

- `id` (string, required) — The Propexo unique identifier for the applicant pet
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `age_in_years` (any, required) — The age in years of the applicant petThis field will always be null for MRI
- `breed` (any, required) — The breed of the applicant petThis field will always be null for MRI
- `color` (any, required) — The color of the applicant petThis field will always be null for MRI
- `gender_raw` (any, required) — The raw value for the gender of the applicant petThis field will always be null for MRI
- `is_declawed` (any, required) — Whether the applicant pet is declawedThis field will always be null for MRI
- `is_fixed` (any, required) — Whether the applicant pet is fixedThis field will always be null for MRI
- `is_service_animal` (any, required) — Whether the applicant pet is a service animalThis field will always be null for MRI
- `is_trained` (any, required) — Whether the applicant pet is trainedThis field will always be null for MRI
- `is_vaccinated` (any, required) — Whether the applicant pet is vaccinatedThis field will always be null for MRI
- `name` (any, required) — The name associated with the applicant petThis field will always be null for MRI
- `notes` (any, required) — Notes associated with the applicant petThis field will always be null for MRI
- `type` (string, required, nullable) — The type associated with the applicant pet | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `weight_in_pounds` (any, required) — The weight in pounds of the applicant petThis field will always be null for MRI
- `custom_data` (ApplicantPetsItemsCustomData, required, nullable)

### ApplicantScreeningsItems

- `id` (string, required) — The Propexo ID of the screening
- `created_at` (string, required) — The date record first entered Propexo
- `last_seen` (string, required) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor
- `status_raw` (string, required, nullable) — The status/results of the screeningThis field is not currently hydrated for MRI
- `screening_date` (string, required, nullable) — The date the screening took placeThis field is not currently hydrated for MRI

### IncomeSource

- `amount_in_cents` (double, required, nullable) — The total income of the applicant, in centsThis field is not currently hydrated for MRI
- `amount_raw` (string, required, nullable) — The total income amount of the applicantThis field is not currently hydrated for MRI
- `type_normalized` (any, required) — The type of income of the applicantThis field will always be null for MRI
- `type_raw` (any, required) — The type of income of the applicantThis field will always be null for MRI

### ApplicantApplicationsItemsStatusNormalized

The normalized status associated with the applicant. Confirm these derived values before using them in production.This field is not currently hydrated for MRI

### ApplicantApplicationsItemsCustomData

### ApplicantPetsItemsCustomData

## Examples

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": {
    "id": "clwktsp9v000008l31iv218hn",
    "created_at": "2024-03-21T15:38:08.337Z",
    "updated_at": "2024-03-22T10:59:45.119Z",
    "last_seen": "2024-03-22T10:59:45.119Z",
    "x_id": "000000123",
    "x_property_id": "123",
    "x_lead_id": "000000123",
    "x_unit_id_preferred": [
      "04"
    ],
    "address_1_alternate": "123 Back Street",
    "address_1": "123 Round Street",
    "address_2_alternate": "Apt 11",
    "address_2": "Suite 827",
    "applications": [
      {
        "applicant_id": "string",
        "application_id": "string",
        "status_raw": "string",
        "status_normalized": "APPROVED",
        "custom_data": {},
        "status": "string"
      }
    ],
    "city_alternate": "Newark",
    "city": "Newark",
    "country_alternate": null,
    "country": null,
    "custom_data": {},
    "date_of_birth": "2000-01-05T00:00:00Z",
    "email_1": "person@example.com",
    "email_2": null,
    "first_name": "Jane",
    "last_name": "Doe",
    "middle_name": "J",
    "notes": "Visit-N",
    "phone_1_type": "MOBILE",
    "phone_1": "5555555555",
    "phone_2_type": "HOME",
    "phone_2": "5555555554",
    "state_alternate": "NJ",
    "state": "NJ",
    "type_normalized": null,
    "type_raw": null,
    "zip_alternate": "12378",
    "zip": "17892",
    "pets": [
      {
        "id": "clwktsp9v000008l31iv218hn",
        "created_at": "2024-03-21T15:38:08.337Z",
        "updated_at": "2024-03-22T10:59:45.119Z",
        "last_seen": "2024-03-22T10:59:45.119Z",
        "x_id": "89",
        "age_in_years": null,
        "breed": null,
        "color": null,
        "gender_raw": null,
        "is_declawed": null,
        "is_fixed": null,
        "is_service_animal": null,
        "is_trained": null,
        "is_vaccinated": null,
        "name": null,
        "notes": null,
        "type": "D",
        "weight_in_pounds": null,
        "custom_data": {}
      }
    ],
    "integration_id": "clwh5u07w000508me66sfh3um",
    "integration_vendor": "MRI",
    "property_id": "clwi5xiix000008l6ctdgafyh",
    "unit_id_preferred": null,
    "screenings": [
      {
        "id": "clwktsp9v000008l31iv218hn",
        "created_at": "2024-03-21T15:38:08.337Z",
        "last_seen": "2024-03-22T10:59:45.119Z",
        "x_id": "string",
        "status_raw": "string",
        "screening_date": "string"
      }
    ],
    "x_unit_id": null,
    "x_lease_id": null,
    "self_reported_income": [
      {
        "amount_in_cents": 325000,
        "amount_raw": "string",
        "type_normalized": null,
        "type_raw": null
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/applicants/id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/applicants/id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/applicants/id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/applicants/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/applicants/id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/applicants/id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/applicants/id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/applicants/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```